Imagick::adaptiveBlurImage
Imagick::adaptiveSharpenImage
The Imagick class
PHP Manual

# Imagick::adaptiveResizeImage

(No version information available, might be only in CVS)

Imagick::adaptiveResizeImage — Adaptively resize image with data dependent triangulation

### Description

bool Imagick::adaptiveResizeImage ( int `$columns` , int `$rows` [, bool `$fit` ] )

Adaptively resize image with data-dependent triangulation. Avoids blurring across sharp color changes. Most useful when used to shrink images slightly to a slightly smaller "web size"; may not look good when a full-sized image is adaptively resized to a thumbnail.

### Parameters

`columns`

  The number of columns in the scaled image.

`rows`

  The number of rows in the scaled image.

`fit`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### ChangeLog

Version | Description
--- | ---
2.1.0 | Added optional fit parameter. This method now supports proportional scaling. Pass zero as either parameter for proportional scaling.

### Examples

Example #1 Using Imagick::adaptiveResizeImage()

Resize an image to a standard size for the web. This method works best when resizing to a size only slightly smaller than the previous image size.

`<?php
header('Content-type: image/jpeg');
$image = new Imagick('image.jpg');
$image->adaptiveResizeImage(1024,768);
echo $image;
?>`

### See Also

- Imagick::chopImage()
- Imagick::cropImage()
- Imagick::magnifyImage()
- Imagick::minifyImage()
- Imagick::resizeImage()
- Imagick::scaleImage()
- Imagick::shaveImage()
- Imagick::thumbnailImage()
- Imagick::trimImage()

Imagick::adaptiveBlurImage
Imagick::adaptiveSharpenImage
The Imagick class
PHP Manual